Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570131 - Substitution - double slash should be removed
Summary: Substitution - double slash should be removed
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.0
Assignee: Tina Fitzgerald
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 16:53 UTC by Tina Fitzgerald
Modified: 2019-08-22 00:55 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 14:26:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Tina Fitzgerald 2018-04-20 16:53:16 UTC
Description of problem:
Automate relies heavily on object substitution. 

Double slashes can cause issues when object substitution in relationship paths as shown below:
  
Path example: /{/#a}/{/#b}/{/#c}/{/#d}
before: if {/#a} is nil, path becomes //b/c/d which is invalid
after: if {/#a} is nil, path becomes /b/c/d which is valid(*if b/c/d exists)

Comment 2 Dave Johnson 2018-04-20 17:03:51 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.


Note You need to log in before you can comment on or make changes to this bug.